Vla-getgridspacing

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-getgridspacing vla-object XSpacing YSpacing )


機能
ビューポートのグリッド間隔を取得する。


引数
  • vla-object … VLAオブジェクト(PViewport、Viewport)
  • XSpacing … ビューポートでのグリッドの X 間隔。
  • YSpacing … ビューポートでのグリッドの Y 間隔。


戻り値
nil


サンプル
(vl-load-com)
(defun c:Example_SetGridSpacing()
    ;; ビューポートのグリッド間隔を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; 既定値を取得
    (setq viewportObj (vla-get-ActiveViewport doc))
    
    ;; グリッドを表示に変更
    (vla-put-GridOn viewportObj :vlax-true)
    (vla-put-ActiveViewport doc viewportObj)
    
    ;; ビューポートのグリッド間隔を取得
    (vla-GetGridSpacing viewportObj 'XSpacing 'YSpacing)
    (alert (strcat "X =" (rtos XSpacing 2) ", Y =" (rtos YSpacing 2)))
    
    ;; 変更
    (vla-SetGridSpacing viewportObj (* XSpacing 0.5) (* YSpacing 0.5))
    (vla-put-ActiveViewport doc viewportObj)

    (vla-GetGridSpacing viewportObj 'XSpacing 'YSpacing)
    (alert (strcat "X =" (rtos XSpacing 2) ", Y =" (rtos YSpacing 2)))
)


関連事項